# Method: projects.locations.environments.userWorkloadsSecrets.delete

- [HTTP request](https://docs.cloud.google.com/composer/docs/reference/rest/v1beta1/projects.locations.environments.userWorkloadsSecrets/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/composer/docs/reference/rest/v1beta1/projects.locations.environments.userWorkloadsSecrets/delete#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/composer/docs/reference/rest/v1beta1/projects.locations.environments.userWorkloadsSecrets/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/composer/docs/reference/rest/v1beta1/projects.locations.environments.userWorkloadsSecrets/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/composer/docs/reference/rest/v1beta1/projects.locations.environments.userWorkloadsSecrets/delete#body.aspect)
- [Try it!](https://docs.cloud.google.com/composer/docs/reference/rest/v1beta1/projects.locations.environments.userWorkloadsSecrets/delete#try-it)

Deletes a user workloads Secret.

This method is supported for Cloud Composer environments in versions composer-3-airflow-\*.\*.\*-build.\* and newer.

### HTTP request

`DELETE https://composer.googleapis.com/v1beta1/{name=projects/*/locations/*/environments/*/userWorkloadsSecrets/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The Secret to delete, in the form: "projects/{projectId}/locations/{locationId}/environments/{environmentId}/userWorkloadsSecrets/{userWorkloadsSecretId}" Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `composer.userworkloadssecrets.delete` |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloudcomposer`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).